# OE: conditional switches
#
#(ie. use with rpm --rebuild):
#
#	--with diet	Compile altermime against dietlibc

%define build_diet 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_diet: %{expand: %%define build_diet 1}}

%define	name	altermime
%define	version	0.3.3
%define	release	1mdk

Summary:	Allows you to modify mailpacks
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Mail
URL:		http://www.pldaniels.com/altermime/
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

%if %{build_diet}
BuildRequires:	dietlibc-devel >= 0.20-1mdk
%endif

%description
alterMIME is a small program which is used to alter your
mime-encoded emailpacks as typically received by Inflex,
XaMime and AMaViS.
 
alterMIME will allow you to put in things like disclaimers
in each email's text body, and also permit you to nullify
(make into a zero-byte) attachments. 

%prep

%setup -q

%build

%if %{build_diet}
make CC="diet gcc" CFLAGS="-Wall -Os -s -static -nostdinc"
%else
make CFLAGS="%{optflags}"
%endif

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENCE README
%{_bindir}/*

%changelog
* Sat Nov 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-1mdk
- 0.3.3

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-1mdk
- 0.3.1
- hrm..., how do one spell licence?
- use spec file magic to enable compilation against dietlibc, use
  "rpm --rebuild --with diet altermime-0.3.1-1mdk.src.rpm"

* Mon Mar 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.1-1mdk
- 0.2.1

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.14-2mdk
- build release

* Tue Nov 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.14-1mdk
- new version

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.13-2mdk
- rebuilt with gcc-3.2

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.13-1mdk
- initial cooker contrib
